#!/bin/sh

case $1 in
    --sdk-mod-ver)
	#Print SDK support version
	echo "1.0";
    ;;
    --name)
	#Print package name
	echo "CMS";
    ;;
    --pkg-ver)
	#Print package version
	echo "1.0";
    ;;
    --vendor)
	#Print package vendor
	echo "Synology";
    ;;
    --pre)
	#Nothing
	;;
    --post)
	if [ "${SERVICE_IP_CHANGE}" -eq 1 ] || [ "${SERVICE_HOSTNAME_CHANGE}" -eq 1 ]; then
		/bin/sh -c "sleep 1; /var/packages/CMS/target/tools/synocmsserver --update_cred" &
	elif [ -n "${HTTP_PORT}" ] || [ -n "${HTTPS_PORT}" ] || [ -n "${SSL_ENABLED}" ]; then
		/bin/sh -c "sleep 30; /var/packages/CMS/target/tools/synocmsserver --update_cred" &
	fi
    ;;
    *)
	echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
    ;;
esac

